Subject: [Sip] Outbound: errors in example message flow

From: Fredrik Thulin <[email-masked]>
Date: Wed, 12 Apr 2006 15:08:19 +0200

Hi

Section 8 (Example Message Flow) in draft-ietf-sip-outbound-03 contains 
two example REGISTERs (included at the end of this e-mail).

I think there are a number of errors in the second REGISTER message :

  * Via branch parameter equals that of the first one, although this is
    clearly a new transaction.
  * From-tag equals that of the first one. I believe it shouldn't.
  * Contact is missing expires parameter, while the first REGISTER has 
    one.

also, in the 200 OK response to the second REGISTER, the To-tag 
generated by the backup proxy should not be the same as the one 
generated by the primary proxy in the first 200 OK response.

Please correct me if I'm wrong.

/Fredrik

The two example REGISTERs :

   REGISTER sip:example.com SIP/2.0
   Via: SIP/2.0/UDP 10.0.1.1;branch=z9hG4bKnashds7
   Max-Forwards: 70
   From: Callee <sip:[email-masked]>;tag=a73kszlfl
   To: Callee <sip:[email-masked]>
   Call-ID: [email-masked]
   CSeq: 1 REGISTER
   Supported: path
   Route: <sip:primary.example.com;lr;keepalive=stun>
   Contact: <sip:[email-masked]>
     ;+sip.instance="<urn:uuid:0C67446E-F1A1-11D9-94D3-000A95A0E128>"
     ;reg-id=1
   Content-Length: 0

and

   REGISTER sip:example.com SIP/2.0
   Via: SIP/2.0/UDP 10.0.1.1;branch=z9hG4bKnashds7
   Max-Forwards: 70
   From: Callee <sip:[email-masked]>;tag=a73kszlfl
   To: Callee <sip:[email-masked]>
   Call-ID: [email-masked]
   CSeq: 1 REGISTER
   Supported: path
   Route: <sip:backup.example.com;lr;keepalive=stun>
   Contact: <sip:[email-masked]>
     ;+sip.instance="<urn:uuid:0C67446E-F1A1-11D9-94D3-000A95A0E128>"
     ;reg-id=2
   Content-Length: 0

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip